org.omg.PortableServer

## Class POAHelper

- java.lang.Object
- - org.omg.PortableServer.POAHelper

    public abstract class POAHelper
    extends Object

A POA object manages the implementation of a collection of objects. The POA supports a name space for the objects, which are identified by Object Ids. A POA also provides a name space for POAs. A POA is created as a child of an existing POA, which forms a hierarchy starting with the root POA. A POA object must not be exported to other processes, or externalized with ORB::object_to_string.

### Constructor Summary

Constructors
Constructor and Description
`POAHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static POA` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, POA that)`
`static POA` `narrow(Object obj)`
`static POA` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, POA value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### POAHelper

    public POAHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              POA that)

#### extract

    public static POA extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static POA read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             POA value)

#### narrow

    public static POA narrow(Object obj)